#
# spec file for package gtk-vnc (Version 0.3.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gtk-vnc
BuildRequires:  gnome-common gnutls-devel gtk2-devel perl-XML-Parser python-devel
%if %suse_version <= 1010
BuildRequires:  python-gtk
%else
BuildRequires:  python-gtk-devel
%endif
Summary:        A GTK widget for VNC clients
Version:        0.3.4
Release:        0.7.49
License:        LGPL v2.1 only; LGPL v2.1 or later
Group:          Development/Libraries/X11
Source:         http://downloads2.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source2:        LICENSE.txt
Patch0:         %{name}_require_gnutls_1_2.patch
Patch1:         gtk-vnc-0.3.3-pkgconfig.patch
Patch207205:    from_upstream_fix_crash_on_closing_connection_lp_207205.patch
Patch2:         %{name}-%{version}-endianess.patch
Patch3:         %{name}-%{version}-makecontext.patch
Patch4:         %{name}-%{version}-protocol-version.patch
Patch206227:    from_upstream_fix_vinagre_connection_lp_206227.patch
# PATCH-FIX-UPSTREAM gtk-vnc-bnc420729-optimization.diff bnc420729 federico@novell.com - Optimizations to match TightVNC's speed
Patch420729:    gtk-vnc-bnc420729-optimization.diff
Patch394737:    from_upstream_fix_ungrab_of_mouse_pointer_bnc_394737.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://gtk-vnc.sf.net/
AutoReqProv:    on
%py_requires

%description
gtk-vnc is a VNC viewer widget for GTK+. It is built using coroutines
allowing it to be completely asynchronous while remaining single
threaded.



%package -n libgtk-vnc-1_0-0
License:        LGPL v2.1 only; LGPL v2.1 or later
Summary:        A GTK widget for VNC clients
Group:          Development/Libraries/X11

%description  -n libgtk-vnc-1_0-0
gtk-vnc is a VNC viewer widget for GTK+. It is built using coroutines
allowing it to be completely asynchronous while remaining single
threaded.



%package devel
License:        LGPL v2.1 or later
Summary:        Libraries, includes, etc. to compile with the gtk-vnc library
Group:          Development/Libraries/X11
Requires:       libgtk-vnc-1_0-0 = %{version} gtk2-devel

%description devel
Development files for using the gtk-vnc library



%package -n python-gtk-vnc
License:        LGPL v2.1 or later
Summary:        Python bindings for the gtk-vnc library
Group:          Development/Libraries/X11
Provides:       gtk-vnc-python = %{version}
Obsoletes:      gtk-vnc-python < %{version}

%description -n python-gtk-vnc
A module allowing use of the GTK-VNC widget from python



%prep
%setup -q
%patch -p1
%patch1
%patch207205 -p1 -b from_upstream_fix_crash_on_closing_connection_lp_207205.patch
%patch2 -p1 -b endianess-conversions
%patch3 -p1 -b makecontext-64bit
%patch4 -p1 -b protocol-negotiation
%patch206227 -p1 -b from_upstream_fix_vinagre_connection_lp_206227.patch
%patch420729 -p1 -b gtk-vnc-bnc420729-optimization.diff
%patch394737 -p1 -b from_upstream_fix_ungrab_of_mouse_pointer_bnc_394737.patch
cp -av %{SOURCE2} .

%build
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -rf $RPM_BUILD_ROOT/%{py_sitedir}/gtkvnc.*a
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%postun  -n libgtk-vnc-1_0-0 -p /sbin/ldconfig

%post  -n libgtk-vnc-1_0-0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README LICENSE.txt

%files -n libgtk-vnc-1_0-0
%defattr(-, root, root)
%{_libdir}/*.so.0*

%files -n python-gtk-vnc
%defattr(-, root, root)
%{py_sitedir}/gtkvnc*

%files devel
%defattr(-, root, root)
%{_includedir}/gtk-vnc-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Apr 23 2009 aosthof@suse.de
- Included upstream fix from bnc#394737: Mouse pointer will now be
  released/ungrabbed in case a vnc viewer window is overlaid with
  the screen saver or with a popup.
* Tue Dec 16 2008 mvancura@suse.de
- Added gtk-vnc-bnc420729-optimization.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=420729 - Optimizations
  for gtk-vnc to make it nominally as fast as TightVNC.
* Mon Aug 25 2008 bk@suse.de
- Complete the upstream fixes needed for bnc#411711: Add the final
  endianness fix, protocol negotiation and makecontext() crash fixes
* Thu Aug 14 2008 bk@suse.de
- Update approved to version 0.3.4 to add fixes to fix bnc#411711:
  - Cherry-picked fixes from upstream:
  - from_upstream_fix_crash_on_closing_connection_lp_207205.patch:
    + Fixes a crash when closing the connection on the middle of an
    update. LP: #207205.
  - from_upstream_fix_endianess_conversion_lp_212504.patch:
    + Fixes some big endian conversion bugs, causing wrong colors
    in Vinagre. LP: #212504.
  - from_upstream_fix_vinagre_connection_lp_206227.patch:
    + Fixes clients not being able to connect to some servers.
    LP: #206227.
  Note: The new features scaling support and browser plugin are
  disabled in this version as the update is approved to fix bugs.
* Fri Jun 13 2008 crrodriguez@suse.de
- disable unusable static libraries
* Tue Feb 19 2008 maw@suse.de
- Update to version 0.3.3:
  + Bug fixes:
  * Track keystates to reset keyboard state on focus out
  * Fix SEGV in vnc_display_close
  * Compiler fixes for suncc
  * More UltraVNC compatibility
  * Big endian fixes
  * Hide password characters in gvncviewer
  * More debug on protocol error
  * Fix SEGV on coroutine free
  * Fix ZRLE encoding
  + New features:
  * Support got Tight encoding
  * Mozilla browser plugin
  * Output configure summary.
* Thu Jan 17 2008 jpr@suse.de
- Update to 0.3.2
  * fix a bug in the python bindings whereas send_keys() was not
    always returning a value.
  * fix a bug in how mouse events get propagated and ensures that
    the right number of encodings are sent to the server.
  * fix RichCursor encoding when the server is using a depth of
    less than 24.
  * fix solaris build issues
  * fix cursor grabbing
  * fix race during connect()
  * fix SELinux error
  * fix race in coroutine library
  * new interface was added (vnc_display_send_keys_ex) for passing
    key press and key release sequences directly and for sending
    pointer events directly (vnc_display_send_pointer).
  * new interface was added (vnc_display_set_read_only) to prevent
    the user from being able to send any input at all to the server.
  * support for the RRE encoding was added along with a GThread-based
    coroutine implementation to improve portability.
  * ZRLE support added
  * Interfaces for bell messages and the clipboard are now
    supported.
  * RFB 3.4 is now supported for increased compatibility with
    UltraVNC.
- Adhere to shlib policy
- Remove gtk-vnc-0.2.0-coroutine-caller.patch,
  gtk-vnc-0.2.0-execmem.patch and
  gtk-vnc-0.2.0-coroutine-cleanup.patch, they are now included
  upstream
* Tue Oct 23 2007 bk@suse.de
- packaged for virt-manager, based on gtk-vnc-0.2.0-4.fc8.src.rpm
